import request from '@/utils/request'

// 查询设备总览1
export function deviceView(query) {
  return request({
    url: '/system/display/deviceView',
    method: 'get',
    params: query
  })
}
// 查询设备总览2
export function deviceOver(query) {
  return request({
    url: '/system/display/deviceOver',
    method: 'get',
    params: query
  })
}
// 查询设备型号总览
export function deviceType(query) {
  return request({
    url: '/system/display/deviceType',
    method: 'get',
    params: query
  })
}
// 查询报警总数
export function count(query) {
  return request({
    url: '/system/display/count',
    method: 'get',
    params: query
  })
}
// 查询月新增设备
export function addDevice(data) {
  return request({
    url: '/system/display/addDevice',
    method: 'get',
    params: data
  })
}
// 查询用户年龄总览
export function userAgeAll(query) {
  return request({
    url: '/system/display/userAgeAll',
    method: 'get',
    params: query
  })
}

// 查询月新增用户
export function addUser(query) {
  return request({
    url: '/system/display/addUser',
    method: 'get',
    params: query
  })
}
// 查询报警列表
export function alarmStatusList(query) {
  return request({
    url: '/system/display/alarmStatusList',
    method: 'get',
    params: query
  })
}

// 查询地图GPS
export function mapGpsView(query) {
  return request({
    url: '/system/display/mapGpsViewV2',
    method: 'get',
    params: query
  })
}
